%define section   free
%define base_name commons-jelly-tags-http
%define cvs_date  20031217
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        0.b4.1jpp
Epoch:          0
Summary:        Commons Jelly HTTP Tag Library

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jelly/
Source0:        %{base_name}.cvs%{cvs_date}.tar.gz
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
# cvs -z3 -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic co -D December 17, 2003 10:00am jakarta-commons/jelly/jelly-tags/http
Source1:        jelly-LICENSE.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  dom4j >= 0:1.4
BuildRequires:  jakarta-commons-jexl >= 0:1.0
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-httpclient >= 0:2.0
BuildRequires:  jakarta-commons-jelly = 0:1.0-0.b4.1jpp
BuildRequires:  jakarta-commons-jelly-tags-define = 0:1.0-0.b4.1jpp
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jaxen >= 0:1.0
BuildRequires:  saxpath >= 0:1.0
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:  dom4j >= 0:1.4
Requires:  jakarta-commons-jexl >= 0:1.0
Requires:  jakarta-commons-beanutils >= 0:1.6.1
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-httpclient >= 0:2.0
Requires:  jakarta-commons-jelly = 0:1.0-0.b4.1jpp
Requires:  jakarta-commons-jelly-tags-define = 0:1.0-0.b4.1jpp
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jaxen >= 0:1.0
Requires:  saxpath >= 0:1.0
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis >= 0:1.0

%description
These are simple Jelly tags that can perform HTTP requests.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}
cp %{SOURCE1} LICENSE.txt

%build
export CLASSPATH=$(build-classpath \
dom4j \
jaxen \
saxpath \
commons-jexl \
commons-beanutils \
commons-collections \
jakarta-commons-httpclient \
commons-jelly \
commons-jelly-tags-define \
commons-logging \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

#javadoc
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Fri Jan 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.1jpp
- First JPackage release
